function [err,msg]=AddFunctionsLibs(FunctionsLibsNames,..//Имена функциональных библиотек
                                    projectName,..//Имя проекта
                                    FunctionsLibsDir,..//Имена директорий функциональных библиотек
                                    errPrintMsg..//Необходимость печати сообщений об ошибках
                                    )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    select nArg
    case 0 then
        error('The function AddFunctionLib takes 1, 2, 3 or 4 arguments');
    case 1 then
        projectName = "";//Имя проекта по умолчанию отсутcтвует
        FunctionsLibsDir = pwd();//Имена директорий функциональных библиотек
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(projectName) == 4 then
            errPrintMsg = projectName;//Необходимость печати сообщений об ошибках
            projectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
        FunctionsLibsDir = pwd();//Имена директорий функциональных библиотек
    case 3 then
        if type(FunctionsLibsDir) == 4 then
            errPrintMsg = FunctionsLibsDir;//Необходимость печати сообщений об ошибках
            FunctionsLibsDir = pwd();//Имена директорий функциональных библиотек
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
    end
    nFunctionsLibs = size(FunctionsLibsNames,'*');//Число функциональных библиотек
    if (size(FunctionsLibsDir,'*') == 1) && (nFunctionsLibs > 1) then
        FunctionsLibsDir = fullfile(FunctionsLibsDir,FunctionsLibsNames);
    end
    
    //Формируем полные имена директорий назначения
    [tasksSCEFilesPath,..//Путь к xml-файлам задач
     err,msg..//Код ошибки и сообщение ошибки
     ]=GetTaskPath(2, errPrintMsg);
    if err ~= 0 then
        return;
    end
    fullFunctionsLibsNames = fullfile(tasksSCEFilesPath,projectName,FunctionsLibsNames);//Имена директорий библиотек в облаке
    
    //Копируем файлы в директорию проекта и строим библиотеки
    for ind=1:nFunctionsLibs
        //Копируем файлы
        [err,msg] = copyfile(FunctionsLibsDir(ind),fullFunctionsLibsNames(ind));
        if err == 0 then
            err = -4;
            if errPrintMsg then
                error(msg);
            end
            return;
        end
        
        //Строим библиотеки
        genlib(FunctionsLibsNames(ind),fullFunctionsLibsNames(ind));
    end
    err = 0;
    msg = "";
endfunction
