function [err,msg]=AddProjects(projectsNames,..//Имена проектов
                               errPrintMsg..//Необходимость печати сообщений об ошибках
                               )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    select nArg
    case 0 then
       error('The function AddProject takes 1 or 2 arguments');
    case 1 then
        errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
    end
    
    //Формируем полные имена директорий
    [tasksSCEFilesPath,..//Путь к xml-файлам задач
     err,msg..//Код ошибки и сообщение ошибки
     ]=GetTaskPath(errPrintMsg);
    if err ~= 0 then
        return;
    end
    datasTasksSCEFilesPath = tasksSCEFilesPath(2);//Директория к данным задач
    functionsTasksSCEFilesPath = tasksSCEFilesPath(3);//Директория к функциям задач
    tasksSCEFilesPath = tasksSCEFilesPath(1);//Директория к файлам задач
    
    //Создаем директории
    for projectName=projectsNames
        //Формируем полные имена директорий
        fullTasksSCEFilesPath = fullfile(tasksSCEFilesPath,projectName);
        fullDatasTasksSCEFilesPath = fullfile(datasTasksSCEFilesPath,projectName);
        
        //Создаем директории проектов        
        [err,msg] = mkdir(fullTasksSCEFilesPath);//В директории задач
        if err == 0 then
            err = -3;
            if errPrintMsg then
                error(msg);
            end
            return;
        end
        [err,msg] = mkdir(fullDatasTasksSCEFilesPath);//В директории данных к задачам
        if err == 0 then
            err = -3;
            if errPrintMsg then
                error(msg);
            end
            return;
        end
        [err,msg] = mkdir(functionsTasksSCEFilesPath,projectName);//В директории функций к задачам
        if err == 0 then
            err = -3;
            if errPrintMsg then
                error(msg);
            end
            return;
        end
        
        //Создаем поддиректорию вспомогательных задач
        [err,msg] = mkdir(fullTasksSCEFilesPath,'HelpTasks');
        if err == 0 then
            err = -3;
            if errPrintMsg then
                error(msg);
            end
            return;
        end
        
        //Создаем поддиректорию служебных задач
        [err,msg] = mkdir(fullTasksSCEFilesPath,'ServiceTasks');
        if err == 0 then
            err = -3;
            if errPrintMsg then
                error(msg);
            end
            return;
        end
        
        //Создаем поддиректорию данных для служебных задач
        [err,msg] = mkdir(fullDatasTasksSCEFilesPath,'ServiceDataTasks');
        if err == 0 then
            err = -3;
            if errPrintMsg then
                error(msg);
            end
            return;
        end
    end
    err = 0;
endfunction
