function [err,msg]=AddTasksGen(tasksNames,..//Имена задач
                               projectName,..//Имя проекта
                               tasksNamesSourceDir,..//Текущие директории задач
                               addingType,..//Тип добавления
                               errPrintMsg..//Необходимость печати сообщений об ошибках
                               )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    select nArg
    case 0 then
        error('The function AddTasksGen takes 1, 2, 3, 4 or 5 arguments');
    case 1 then
        tasksNamesSourceDir = pwd();//Текущие директории задач берем равной текущей директории Scilab
        projectName = "";//Имя проекта по умолчанию отсутcтвует
        addingType = "";//По умолчанию добавляем как обычную задачу
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(projectName) == 4 then
            errPrintMsg = projectName;//Необходимость печати сообщений об ошибках
            projectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
        tasksNamesSourceDir = pwd();//Текущие директории задач берем равной текущей директории Scilab
        addingType = "";//По умолчанию добавляем как обычную задачу
    case 3 then
        if type(tasksNamesSourceDir) == 4 then
            errPrintMsg = tasksNamesSourceDir;//Необходимость печати сообщений об ошибках
            tasksNamesSourceDir = pwd();//Текущие директории задач берем равной текущей директории Scilab
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
        addingType = "";//По умолчанию добавляем как обычную задачу
    case 4 then
        if type(addingType) == 4 then
            errPrintMsg = addingType;//Необходимость печати сообщений об ошибках
            addingType = "";//По умолчанию добавляем как обычную задачу
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
    end
    nTasks = size(tasksNames,'*');//Число задач
    if size(tasksNamesSourceDir,'*') == 1 then
        tasksNamesSourceDir = repmat(tasksNamesSourceDir,[1,nTasks]);
    end
    
    //Формируем полные имена директорий
    [tasksSCEFilesPath,..//Путь к xml-файлам задач
     err,msg..//Код ошибки и сообщение ошибки
     ]=GetTaskPath(0, errPrintMsg);
    if err ~= 0 then
        return;
    end
    fullTasksNamesSource = [];//Полные имена файлов задач
    for ind=1:nTasks
        taskName = basename(tasksNames(ind)) + '.sce';//Имя задачи (убираем при необходимости расширение)
        fullTasksNameSource = fullfile(tasksNamesSourceDir(ind),taskName);//Полное имя файлов задач
        fullTasksNamesSource = [fullTasksNamesSource,fullTasksNameSource];//Полные имена файлов задач
    end
    fullTasksNameDir = fullfile(tasksSCEFilesPath,projectName,addingType);//Полное имя файлов задач
    
    //Копируем файлы в директорию проекта
    for fullTasksNameSource=matrix(fullTasksNamesSource,1,-1)
        [err,msg] = copyfile(fullTasksNameSource,fullTasksNameDir);
        if err == 0 then
            err = -4;
            if errPrintMsg then
                error(msg);
            end
            return;
        end
    end
    err = 0;
endfunction
