//Создание задачи диспетчерского вызова прочих задач
function [err,msg]=CreateTasksByTemplateTasks(ArgumentsFilesNames,..//Полные имена файлов аргументов
                                              TasksDirectory,..//Полное имя директории файлов сгенерированных задач
                                              TemplatesTasks,..//Опорные шаблонные задачи
                                              projectName,..//Имя проекта
                                              strProjectName,..//Написание в коде переменной имени проекта
                                              DirectoriesTemplatesTasks,..//Директории опорных шаблонных задач
                                              copyTextTemplateTasks,..//Необходимость копирования текста из шаблона
                                              eraseTasksDirectory,..//Необходимость удаления директории задач
                                              errPrintMsg..//Печатаем или нет сообщения об ошибках
                                              )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    if nArg < 3 then
        error('The function CreateTasksByTemplateTasks takes 3, 4, 5, 6, 7, 8 or 9 arguments');
    end
    select nArg
    case 3 then
        projectName = '';
        strProjectName = 'ProjectName';//Написание переменной по умолчанию
        DirectoriesTemplatesTasks = [];//Директории опорных шаблонных задач по умолчанию берем пустые
        copyTextTemplateTasks = %f;//По умолчанию нет необходимости копирования текста из шаблона
        eraseTasksDirectory = %f;//По умолчанию папку с задачами не удаляем
        errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
    case 4 then
        if type(projectName) == 4 then
            copyTextTemplateTasks = projectName;
            projectName = '';
        else
            copyTextTemplateTasks = %f;//По умолчанию нет необходимости копирования текста из шаблона
        end
        strProjectName = 'ProjectName';//Написание переменной по умолчанию
        DirectoriesTemplatesTasks = [];//Директории опорных шаблонных задач по умолчанию берем пустые
        eraseTasksDirectory = %f;//По умолчанию папку с задачами не удаляем
        errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
    case 5 then
        if type(projectName) == 4 then
            copyTextTemplateTasks = projectName;
            eraseTasksDirectory = strProjectName;
            projectName = '';
            strProjectName = 'ProjectName';//Написание переменной по умолчанию
        else
            if type(strProjectName) == 4 then
                copyTextTemplateTasks = strProjectName;
                strProjectName = 'ProjectName';//Написание переменной по умолчанию
            else
                copyTextTemplateTasks = %f;//По умолчанию нет необходимости копирования текста из шаблона
            end
            eraseTasksDirectory = %f;//По умолчанию папку с задачами не удаляем
        end
        DirectoriesTemplatesTasks = [];//Директории опорных шаблонных задач по умолчанию берем пустые
        errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
    case 6 then
        if type(projectName) == 4 then
            copyTextTemplateTasks = projectName;
            eraseTasksDirectory = strProjectName;
            errPrintMsg = DirectoriesTemplatesTasks;
            projectName = '';
            strProjectName = 'ProjectName';//Написание переменной по умолчанию
            DirectoriesTemplatesTasks = [];//Директории опорных шаблонных задач по умолчанию берем пустые
        else
            if type(strProjectName) == 4 then
                copyTextTemplateTasks = strProjectName;
                eraseTasksDirectory = DirectoriesTemplatesTasks;
                strProjectName = 'ProjectName';//Написание переменной по умолчанию
                DirectoriesTemplatesTasks = [];//Директории опорных шаблонных задач по умолчанию берем пустые
            else
                if type(DirectoriesTemplatesTasks) == 4 then
                    copyTextTemplateTasks = DirectoriesTemplatesTasks;
                    DirectoriesTemplatesTasks = [];//Директории опорных шаблонных задач по умолчанию берем пустые
                else
                    copyTextTemplateTasks = %f;//По умолчанию нет необходимости копирования текста из шаблона
                end
                    eraseTasksDirectory = %f;//По умолчанию папку с задачами не удаляем
            end
            errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
        end
    case 7 then
        eraseTasksDirectory = %f;//По умолчанию папку с задачами не удаляем
        errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
    case 8 then
        errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
    end
    
    //Формируем добавляемые строки
    if type(TemplatesTasks) == 17 then
        nTemplatesTasks = size(TemplatesTasks,'*');//Число шаблонов для каждой задачи
        AddingCodesStrings = cell(1,nTemplatesTasks);//Добавляемые коды
        if copyTextTemplateTasks then
            for ind=1:nTemplatesTasks
                AddingCodesStrings{ind} = ['/*Решаем задачи*/';..
                                           ''];//Пишем в комментариях заголовок
                                           
                //Считываем коды решения задач из шаблонов
                fullTemplatesTasks = fullfile(DirectoriesTemplatesTasks(ind),..
                                              TemplatesTasks{ind});//Полные имена файлов шаблонов задач
                for fullTemplateTask=matrix(fullTemplatesTasks,1,-1)
                    AddingCodesStrings{ind} = [AddingCodesStrings{ind};..
                                               mgetl(fullTemplateTask)];//Считваем строки и добавляем в код
                end
            end
        else 
            for ind=1:nTemplatesTasks
                templatesTasks = '""' + TemplatesTasks{ind} + '""';//Заключаем имена задач в кавычки
                if size(templatesTasks,'*') > 1 then
                    AddingCodesStrings{ind} = 'ExecuteHelpTasks([' + strcat(templatesTasks,',') + '],' + strProjectName + ');';
                else
                    AddingCodesStrings{ind} = 'ExecuteHelpTasks(' + templatesTasks + ',' + strProjectName + ');';
                end
                AddingCodesStrings{ind} = ['//Решаем задачи';..
                                           AddingCodesStrings{ind}];
            end
        end
    else
        if copyTextTemplateTasks then
            //Пишем в комментариях заголовок
            AddingCodesStrings = ['/*Решаем задачи*/';..
                                  ''];
                                           
            //Считываем коды решения задач из шаблонов
            fullTemplatesTasks = fullfile(DirectoriesTemplatesTasks,..
                                          TemplatesTasks);//Полные имена файлов шаблонов задач
            for fullTemplateTask=matrix(fullTemplatesTasks,1,-1)
                AddingCodesStrings = [AddingCodesStrings;..
                                      mgetl(fullTemplateTask)];//Считваем строки и добавляем в код
            end
        else
            templatesTasks = '""' + TemplatesTasks + '""';//Заключаем имена задач в кавычки
            if size(templatesTasks,'*') > 1 then
                AddingCodesStrings = 'ExecuteHelpTasks([' + strcat(templatesTasks,',') + '],' + strProjectName + ');';
            else
                AddingCodesStrings = 'ExecuteHelpTasks(' + templatesTasks + ',' + strProjectName + ');';
            end
            AddingCodesStrings = ['//Решаем задачи';..
                                  AddingCodesStrings];
        end
    end
    
    //Формулируем задачи
    [err,msg]=CreateTasksByAddingCodeStringsWithAddToProject(ArgumentsFilesNames,..//Полные имена файлов аргументов
                                                             TasksDirectory,..//Полное имя директории файлов сгенерированных задач
                                                             AddingCodesStrings,..//Добавляемые строки кода
                                                             projectName,..//Имя проекта
                                                             strProjectName,..//Написание в коде переменной имени проекта
                                                             eraseTasksDirectory,..//Необходимость удаления директории задач
                                                             errPrintMsg..//Печатаем или нет сообщения об ошибках
                                                             );
    if err ~= 0 then
        return;
    end
    
    //Добавляем шаблонные задачи в проект
    if (~copyTextTemplateTasks) && (~isempty(DirectoriesTemplatesTasks)) then
        if type(TemplatesTasks) == 17 then
            for ind=1:size(TemplatesTasks,'*')
                [err,msg] = AddHelpTasks(TemplatesTasks{ind},projectName,..
                                         DirectoriesTemplatesTasks(ind),errPrintMsg);
            end
        else
            [err,msg] = AddHelpTasks(TemplatesTasks,projectName,..
                                     DirectoriesTemplatesTasks,errPrintMsg);
        end
    end
endfunction
