function [err,msg]=EraseDatasTasks(DatasTasksFilesNames,..//Имена файлов данных задач
                                   projectName,..//Имя проекта
                                   errPrintMsg..//Необходимость печати сообщений об ошибках
                                   )
    //Проверяем аргументы
    [nRez,nArg] = argn();//Число аргументов
    select nArg
    case 0 then
        error('The function EraseDatasTasks takes 1, 2 or 3 arguments');
    case 1 then
        projectName = "";//Имя проекта по умолчанию отсутcтвует
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(projectName) == 4 then
            errPrintMsg = projectName;//Необходимость печати сообщений об ошибках
            projectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
    end
    
    //Формируем полные имена удаляемых файлов
    [tasksSCEFilesPath,..//Путь к xml-файлам задач
     err,msg..//Код ошибки и сообщение ошибки
     ]=GetTaskPath(1, errPrintMsg);
    if err ~= 0 then
        return;
    end
    fullDatasTasksFilesNames = fullfile(tasksSCEFilesPath,projectName,DatasTasksFilesNames);//Полное имя файлов задач
    
    //Удаляем файлы из директории проекта
    for fullDataTaskFileName=matrix(fullDatasTasksFilesNames, 1, -1)
        err = deletefile(fullDataTaskFileName);
        if ~err then
            err = -3;
            if (nRez > 1) || errPrintMsg then
                msg = 'Cannot erasing task data file ' + basename(fullDataTaskFileName) + fileext(fullDataTaskFileName);
            end
            if errPrintMsg then
                error(msg);
            end
            return;
        end
    end
    err = 0;
    if nRez > 1 then
        msg = '';
    end
endfunction
