function [err,msg]=EraseTasksGen(tasksNames,..//Имена задач
                                 projectName,..//Имя проекта
                                 erasingType,..//Тип удаления
                                 errPrintMsg..//Необходимость печати сообщений об ошибках
                                 )
    //Проверяем аргументы
    [nRez,nArg] = argn();//Число аргументов
    select nArg
    case 0 then
        error('The function EraseTasksGen takes 1, 2, 3 or 4 arguments');
    case 1 then
        projectName = "";//Имя проекта по умолчанию отсутcтвует
        erasingType = "";//По умолчанию удаляем как обычную задачу
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(projectName) == 4 then
            errPrintMsg = projectName;//Необходимость печати сообщений об ошибках
            projectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
        erasingType = "";//По умолчанию удаляем как обычную задачу
    case 3 then
        if type(erasingType) == 4 then
            errPrintMsg = erasingType;//Необходимость печати сообщений об ошибках
            erasingType = "";//По умолчанию удаляем как обычную задачу
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
    end
    
    //Формируем полные имена удаляемых файлов
    [tasksSCEFilesPath,..//Путь к xml-файлам задач
     err,msg..//Код ошибки и сообщение ошибки
     ]=GetTaskPath(0, errPrintMsg);
    if err ~= 0 then
        return;
    end
    tasksNames = basename(tasksNames) + '.sce';//Формируем имя файла задачи
    fullTasksNames = fullfile(tasksSCEFilesPath,projectName,erasingType,tasksNames);//Полное имя файлов задач
    
    //Удаляем файлы из директории проекта
    for fullTaskName=matrix(fullTasksNames,1,-1)
        err = deletefile(fullTaskName);
        if ~err then
            err = -3;
            if (nRez > 1) || errPrintMsg then
                msg = 'Cannot remove file task ' + basename(fullTaskName) + '.sce';
            end
            if errPrintMsg then
                error(msg);
            end
            return;
        end
    end
    err = 0;
    if nRez > 1 then
        msg = '';
    end
endfunction
