//Задаем путь .xml-файлов задач
function [tasksGroupName,..
          err,msg]=SetTasksGroupName(tasksGroupName,..//Имя группы задач
                                     errPrintMsg..//Необходимость печати сообщений об ошибках
                                     )
    //Проверяем аргументы
    select argn(2)
    case 0 then
        error('The function SetTasksGroupName takes 1 or 2 arguments');
    case 1 then
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    end
    
    //Полное имя файла группы задач
    fullTasksGroupNameFileName = fullfile(SCIHOME,"TaskSCEFilesDatas",'TasksGroupName.grn');
    
    //Берем базовую часть имени
    tasksGroupName = basename(tasksGroupName);
    
    //Записываем полное имя группы задач
    if mputl(tasksGroupName,fullTasksGroupNameFileName) then
        err = 0;
        msg = "";
    else
        err = 0;
        msg = lasterror();
        if errPrintMsg then
            error(msg);
        end
    end
endfunction
 
